/*
 * Copyright 2019 Confluent Inc.
 */

package io.confluent.connect.secretregistry.rbac;

import java.io.IOException;
import java.util.List;

import javax.ws.rs.container.ContainerRequestContext;

import io.confluent.security.authorizer.Action;

@FunctionalInterface
interface ActionBuilder {
  List<Action> computeActions(ContainerRequestContext requestContext) throws IOException;
}

